create database user_database;
use user_database;
create table users ( 
	id INT PRIMARY KEY NOT NULL,
	firstName VARCHAR(50) NOT NULL,
	lastName VARCHAR(50) NOT NULL,
	email VARCHAR(50) NOT NULL,
	gender VARCHAR(50) NOT NULL,
	username VARCHAR(50) NOT NULL,
	password VARCHAR(50) NOT NULL
);

create table roles (
	id INT PRIMARY KEY NOT NULL,
	name VARCHAR(50) NOT NULL
);

create table hasRole (
	userId INT NOT NULL,
	roleId INT NOT NULL,
	PRIMARY KEY ( userId, roleId ),
	FOREIGN KEY ( userId ) REFERENCES users ( id ),
	FOREIGN KEY ( roleId ) REFERENCES roles ( id )
);

create table actions (
    id int PRIMARY KEY NOT NULL,
    userId INT NOT NULL,
    name VARCHAR(50) NOT NULL,
    timestamp DATETIME NOT NULL,
    FOREIGN  KEY ( userId ) REFERENCES  users ( id )
);

insert into users (id, firstName, lastName, email, gender, username, password) values (1, 'Pru', 'Hambatch', 'phambatch0@about.com', 'Female', 'phambatch0', 'G4XxaMHhK');
insert into users (id, firstName, lastName, email, gender, username, password) values (2, 'Cleveland', 'Ciottoi', 'cciottoi1@blinklist.com', 'Male', 'cciottoi1', 'fxpHV23BnY');
insert into users (id, firstName, lastName, email, gender, username, password) values (3, 'Waite', 'Rigts', 'wrigts2@sun.com', 'Male', 'wrigts2', '2Z6nuRQwDgbf');
insert into users (id, firstName, lastName, email, gender, username, password) values (4, 'Reggis', 'Cona', 'rcona3@java.com', 'Male', 'rcona3', 'pgkA19az');
insert into users (id, firstName, lastName, email, gender, username, password) values (5, 'Clair', 'Joss', 'cjoss4@github.io', 'Male', 'cjoss4', 'T6buvtq7eRO4');
insert into users (id, firstName, lastName, email, gender, username, password) values (6, 'Goldina', 'Edlington', 'gedlington5@mayoclinic.com', 'Female', 'gedlington5', 'ElrYQMPKqpCe');
insert into users (id, firstName, lastName, email, gender, username, password) values (7, 'Phaidra', 'Bennison', 'pbennison6@seattletimes.com', 'Female', 'pbennison6', 'nhNEKOuMZ');
insert into users (id, firstName, lastName, email, gender, username, password) values (8, 'Chester', 'Signore', 'csignore7@woothemes.com', 'Male', 'csignore7', 'IK0M1LEfmlZY');
insert into users (id, firstName, lastName, email, gender, username, password) values (9, 'Venita', 'Rosendahl', 'vrosendahl8@dropbox.com', 'Female', 'vrosendahl8', 'tId3lHe');
insert into users (id, firstName, lastName, email, gender, username, password) values (10, 'Emili', 'Bonn', 'ebonn9@smugmug.com', 'Female', 'ebonn9', 'sdMAeDD');
insert into users (id, firstName, lastName, email, gender, username, password) values (11, 'Bettye', 'Sewill', 'bsewilla@psu.edu', 'Female', 'bsewilla', 'mNyYR5eT');
insert into users (id, firstName, lastName, email, gender, username, password) values (12, 'Isador', 'Grannell', 'igrannellb@symantec.com', 'Male', 'igrannellb', '1O675UUXct5');
insert into users (id, firstName, lastName, email, gender, username, password) values (13, 'Latisha', 'Benoix', 'lbenoixc@wikispaces.com', 'Female', 'lbenoixc', 'A1oQrVtD22');
insert into users (id, firstName, lastName, email, gender, username, password) values (14, 'Luelle', 'Hewertson', 'lhewertsond@gizmodo.com', 'Female', 'lhewertsond', 'ov8sbwAcEdO');
insert into users (id, firstName, lastName, email, gender, username, password) values (15, 'Sonni', 'Grichukhin', 'sgrichukhine@guardian.co.uk', 'Female', 'sgrichukhine', 'uZA5aEwuixzj');
insert into users (id, firstName, lastName, email, gender, username, password) values (16, 'Charlie', 'Ogus', 'cogusf@forbes.com', 'Male', 'cogusf', 'Q7izgi5GeVT');
insert into users (id, firstName, lastName, email, gender, username, password) values (17, 'Rozanna', 'Ricarde', 'rricardeg@bizjournals.com', 'Female', 'rricardeg', 'co9BtUHmy4');
insert into users (id, firstName, lastName, email, gender, username, password) values (18, 'Mattie', 'Heaslip', 'mheasliph@nba.com', 'Male', 'mheasliph', '853mHT');
insert into users (id, firstName, lastName, email, gender, username, password) values (19, 'Adena', 'Evemy', 'aevemyi@reference.com', 'Female', 'aevemyi', '8EtzDvboa8');
insert into users (id, firstName, lastName, email, gender, username, password) values (20, 'Cyndi', 'Espin', 'cespinj@rediff.com', 'Female', 'cespinj', 'XLFV3HxIDI');
insert into users (id, firstName, lastName, email, gender, username, password) values (21, 'Rosabella', 'Elger', 'relgerk@hc360.com', 'Female', 'relgerk', 'AbAN6iypkVr');
insert into users (id, firstName, lastName, email, gender, username, password) values (22, 'Nicolais', 'Laughnan', 'nlaughnanl@globo.com', 'Male', 'nlaughnanl', 'JP2x6oxf3m');
insert into users (id, firstName, lastName, email, gender, username, password) values (23, 'Donny', 'Mitskevich', 'dmitskevichm@ucla.edu', 'Male', 'dmitskevichm', 'qcM1w6xxR');
insert into users (id, firstName, lastName, email, gender, username, password) values (24, 'Hilly', 'Dodamead', 'hdodameadn@exblog.jp', 'Male', 'hdodameadn', 'JqpVDIG');
insert into users (id, firstName, lastName, email, gender, username, password) values (25, 'Cahra', 'Bolstridge', 'cbolstridgeo@bravesites.com', 'Female', 'cbolstridgeo', 'mU5xiPM6h');
insert into users (id, firstName, lastName, email, gender, username, password) values (26, 'Sutton', 'Lytle', 'slytlep@forbes.com', 'Male', 'slytlep', 'FuujfRNLivov');
insert into users (id, firstName, lastName, email, gender, username, password) values (27, 'Paton', 'Hardan', 'phardanq@mlb.com', 'Male', 'phardanq', 'r43mo28D');
insert into users (id, firstName, lastName, email, gender, username, password) values (28, 'Gaye', 'Thomkins', 'gthomkinsr@sbwire.com', 'Female', 'gthomkinsr', 'khFri8A7e3AJ');
insert into users (id, firstName, lastName, email, gender, username, password) values (29, 'Rayner', 'Cartmer', 'rcartmers@google.co.jp', 'Male', 'rcartmers', 'j1Ut498S');
insert into users (id, firstName, lastName, email, gender, username, password) values (30, 'Aldric', 'Mathewson', 'amathewsont@home.pl', 'Male', 'amathewsont', 'hLv9rBmec');
insert into users (id, firstName, lastName, email, gender, username, password) values (31, 'Edin', 'Avrashin', 'eavrashinu@ted.com', 'Female', 'eavrashinu', 'Pt5wuZN');
insert into users (id, firstName, lastName, email, gender, username, password) values (32, 'Lindi', 'Crosskell', 'lcrosskellv@squidoo.com', 'Female', 'lcrosskellv', 'zoyuVWNYq9h');
insert into users (id, firstName, lastName, email, gender, username, password) values (33, 'Orelle', 'Pallatina', 'opallatinaw@imgur.com', 'Female', 'opallatinaw', 'PA5Zl1wSsrpX');
insert into users (id, firstName, lastName, email, gender, username, password) values (34, 'Silva', 'Hathaway', 'shathawayx@meetup.com', 'Female', 'shathawayx', 'yy1ZMrfdQwG9');
insert into users (id, firstName, lastName, email, gender, username, password) values (35, 'Efrem', 'Tilbey', 'etilbeyy@squidoo.com', 'Male', 'etilbeyy', 'BBPUtPYjv');
insert into users (id, firstName, lastName, email, gender, username, password) values (36, 'Casar', 'Daal', 'cdaalz@infoseek.co.jp', 'Male', 'cdaalz', '38olPSCI');
insert into users (id, firstName, lastName, email, gender, username, password) values (37, 'Warde', 'Merkle', 'wmerkle10@chron.com', 'Male', 'wmerkle10', '5cV8TVP');
insert into users (id, firstName, lastName, email, gender, username, password) values (38, 'Sky', 'MacAree', 'smacaree11@youku.com', 'Male', 'smacaree11', 'fcF48Mbkym');
insert into users (id, firstName, lastName, email, gender, username, password) values (39, 'Cyndy', 'Mariet', 'cmariet12@wisc.edu', 'Female', 'cmariet12', 'TqYV7bcbMj5');
insert into users (id, firstName, lastName, email, gender, username, password) values (40, 'Brian', 'Kinnach', 'bkinnach13@flavors.me', 'Male', 'bkinnach13', '6pfdsmiG');
insert into users (id, firstName, lastName, email, gender, username, password) values (41, 'Christiane', 'Praundl', 'cpraundl14@time.com', 'Female', 'cpraundl14', '7wqgS1ba');
insert into users (id, firstName, lastName, email, gender, username, password) values (42, 'Mela', 'Fears', 'mfears15@clickbank.net', 'Female', 'mfears15', 'O8zj30W7I0vf');
insert into users (id, firstName, lastName, email, gender, username, password) values (43, 'Ira', 'Kornalik', 'ikornalik16@qq.com', 'Female', 'ikornalik16', '7nx6x44oBG5k');
insert into users (id, firstName, lastName, email, gender, username, password) values (44, 'Gibby', 'Fallow', 'gfallow17@army.mil', 'Male', 'gfallow17', 'ZRrXyb');
insert into users (id, firstName, lastName, email, gender, username, password) values (45, 'Jordan', 'McAdam', 'jmcadam18@is.gd', 'Male', 'jmcadam18', 'kNJoObU2q');
insert into users (id, firstName, lastName, email, gender, username, password) values (46, 'Jodie', 'Ilson', 'jilson19@craigslist.org', 'Male', 'jilson19', 'NR7EgDHX');
insert into users (id, firstName, lastName, email, gender, username, password) values (47, 'Mal', 'Fitchen', 'mfitchen1a@census.gov', 'Male', 'mfitchen1a', 'v8iJHbLto');
insert into users (id, firstName, lastName, email, gender, username, password) values (48, 'Jesse', 'Surmeir', 'jsurmeir1b@last.fm', 'Female', 'jsurmeir1b', 'GHv7CedoV');
insert into users (id, firstName, lastName, email, gender, username, password) values (49, 'Evangelin', 'Trenbay', 'etrenbay1c@nhs.uk', 'Female', 'etrenbay1c', 'QdHAdyE');
insert into users (id, firstName, lastName, email, gender, username, password) values (50, 'Giulia', 'Mullan', 'gmullan1d@auda.org.au', 'Female', 'gmullan1d', 'zrqk1Md');
insert into users (id, firstName, lastName, email, gender, username, password) values (51, 'Nadiya', 'Danielski', 'ndanielski1e@paginegialle.it', 'Female', 'ndanielski1e', '2J6TtZCbzLC');
insert into users (id, firstName, lastName, email, gender, username, password) values (52, 'Joshua', 'Grime', 'jgrime1f@amazon.de', 'Male', 'jgrime1f', 'IFcU2kFRuf3');
insert into users (id, firstName, lastName, email, gender, username, password) values (53, 'Daphene', 'Cowton', 'dcowton1g@craigslist.org', 'Female', 'dcowton1g', 'oFSCIY');
insert into users (id, firstName, lastName, email, gender, username, password) values (54, 'Sergio', 'Charge', 'scharge1h@princeton.edu', 'Male', 'scharge1h', 'VUSKxTf');
insert into users (id, firstName, lastName, email, gender, username, password) values (55, 'Horacio', 'Chappell', 'hchappell1i@123-reg.co.uk', 'Male', 'hchappell1i', 'gMrxn4');
insert into users (id, firstName, lastName, email, gender, username, password) values (56, 'Paddie', 'Shellsheere', 'pshellsheere1j@mit.edu', 'Male', 'pshellsheere1j', 'lGvS1u48RubO');
insert into users (id, firstName, lastName, email, gender, username, password) values (57, 'Vladamir', 'Piele', 'vpiele1k@sbwire.com', 'Male', 'vpiele1k', 'OFuTRlBhf');
insert into users (id, firstName, lastName, email, gender, username, password) values (58, 'Carmon', 'McGuire', 'cmcguire1l@cisco.com', 'Female', 'cmcguire1l', 'riYUyKmkyqwD');
insert into users (id, firstName, lastName, email, gender, username, password) values (59, 'Feodor', 'Rubinsohn', 'frubinsohn1m@si.edu', 'Male', 'frubinsohn1m', 'Ya1Anrhk5');
insert into users (id, firstName, lastName, email, gender, username, password) values (60, 'Harald', 'Sarl', 'hsarl1n@hugedomains.com', 'Male', 'hsarl1n', 'Ym5KGQcnnUND');
insert into users (id, firstName, lastName, email, gender, username, password) values (61, 'Mildred', 'Hanniger', 'mhanniger1o@biblegateway.com', 'Female', 'mhanniger1o', 'tzbIFX5');
insert into users (id, firstName, lastName, email, gender, username, password) values (62, 'Wynnie', 'Brammer', 'wbrammer1p@amazon.co.jp', 'Female', 'wbrammer1p', 'eOGuiK3zUmPH');
insert into users (id, firstName, lastName, email, gender, username, password) values (63, 'Coriss', 'Wigg', 'cwigg1q@newyorker.com', 'Female', 'cwigg1q', 'cGfkpLSFbXp');
insert into users (id, firstName, lastName, email, gender, username, password) values (64, 'Flora', 'Blackborn', 'fblackborn1r@upenn.edu', 'Female', 'fblackborn1r', '3WaafTQzVsid');
insert into users (id, firstName, lastName, email, gender, username, password) values (65, 'Maurine', 'Ison', 'mison1s@blog.com', 'Female', 'mison1s', 'FaQiYZTGl');
insert into users (id, firstName, lastName, email, gender, username, password) values (66, 'Nicolais', 'Getty', 'ngetty1t@sohu.com', 'Male', 'ngetty1t', '2DSqRdTRiyKZ');
insert into users (id, firstName, lastName, email, gender, username, password) values (67, 'Herby', 'Heenan', 'hheenan1u@wikipedia.org', 'Male', 'hheenan1u', 'jrbNomN9v');
insert into users (id, firstName, lastName, email, gender, username, password) values (68, 'Frieda', 'Maling', 'fmaling1v@php.net', 'Female', 'fmaling1v', 'T5ryLBJKqyZf');
insert into users (id, firstName, lastName, email, gender, username, password) values (69, 'Adrianne', 'Jurasz', 'ajurasz1w@multiply.com', 'Female', 'ajurasz1w', 'RdFgeo');
insert into users (id, firstName, lastName, email, gender, username, password) values (70, 'Maybelle', 'Pinniger', 'mpinniger1x@aboutads.info', 'Female', 'mpinniger1x', '3Q0dH68Tv');
insert into users (id, firstName, lastName, email, gender, username, password) values (71, 'Thia', 'Anthiftle', 'tanthiftle1y@clickbank.net', 'Female', 'tanthiftle1y', 'P3qCJz');
insert into users (id, firstName, lastName, email, gender, username, password) values (72, 'Si', 'Pedri', 'spedri1z@cloudflare.com', 'Male', 'spedri1z', 'vdQCnvAXe4');
insert into users (id, firstName, lastName, email, gender, username, password) values (73, 'Joey', 'Broe', 'jbroe20@tuttocitta.it', 'Male', 'jbroe20', 'S7wg1B');
insert into users (id, firstName, lastName, email, gender, username, password) values (74, 'Jonas', 'Gourdon', 'jgourdon21@vimeo.com', 'Male', 'jgourdon21', 'igauBdF68ra');
insert into users (id, firstName, lastName, email, gender, username, password) values (75, 'Mara', 'Spacy', 'mspacy22@domainmarket.com', 'Female', 'mspacy22', 'vewvJU');
insert into users (id, firstName, lastName, email, gender, username, password) values (76, 'Maggee', 'Dobbings', 'mdobbings23@washington.edu', 'Female', 'mdobbings23', 'JgAEJxTVnSiS');
insert into users (id, firstName, lastName, email, gender, username, password) values (77, 'Collette', 'Brymham', 'cbrymham24@reddit.com', 'Female', 'cbrymham24', 'aY2UNh');
insert into users (id, firstName, lastName, email, gender, username, password) values (78, 'Fran', 'Friend', 'ffriend25@skyrock.com', 'Male', 'ffriend25', 'j0rqF8t');
insert into users (id, firstName, lastName, email, gender, username, password) values (79, 'Doralyn', 'Aymerich', 'daymerich26@github.com', 'Female', 'daymerich26', 'v5I347FEv');
insert into users (id, firstName, lastName, email, gender, username, password) values (80, 'Byrom', 'Jewson', 'bjewson27@posterous.com', 'Male', 'bjewson27', 'FVNhfx0VVnCi');
insert into users (id, firstName, lastName, email, gender, username, password) values (81, 'Belicia', 'Pabelik', 'bpabelik28@redcross.org', 'Female', 'bpabelik28', '15T2SvXd');
insert into users (id, firstName, lastName, email, gender, username, password) values (82, 'Audi', 'Gant', 'agant29@soundcloud.com', 'Female', 'agant29', 'NHQIZAhBKq');
insert into users (id, firstName, lastName, email, gender, username, password) values (83, 'Krishnah', 'Easun', 'keasun2a@nba.com', 'Male', 'keasun2a', 'EgfiQxslp');
insert into users (id, firstName, lastName, email, gender, username, password) values (84, 'Powell', 'Elleyne', 'pelleyne2b@icq.com', 'Male', 'pelleyne2b', '36jgL7Ie');
insert into users (id, firstName, lastName, email, gender, username, password) values (85, 'Eli', 'Blackney', 'eblackney2c@google.com', 'Male', 'eblackney2c', 'wydcgJYxx');
insert into users (id, firstName, lastName, email, gender, username, password) values (86, 'Leonid', 'Pitcock', 'lpitcock2d@vk.com', 'Male', 'lpitcock2d', 'SuOGYGO1RMP');
insert into users (id, firstName, lastName, email, gender, username, password) values (87, 'Aguie', 'Buyers', 'abuyers2e@loc.gov', 'Male', 'abuyers2e', '6g9Y5k');
insert into users (id, firstName, lastName, email, gender, username, password) values (88, 'Hedvige', 'Moyne', 'hmoyne2f@unicef.org', 'Female', 'hmoyne2f', 'VefLZn');
insert into users (id, firstName, lastName, email, gender, username, password) values (89, 'Neel', 'Bonnet', 'nbonnet2g@reuters.com', 'Male', 'nbonnet2g', 'fZeQs781NQW');
insert into users (id, firstName, lastName, email, gender, username, password) values (90, 'Britta', 'Brundale', 'bbrundale2h@surveymonkey.com', 'Female', 'bbrundale2h', 'iwPyF2nYzKW0');
insert into users (id, firstName, lastName, email, gender, username, password) values (91, 'Elane', 'Hardway', 'ehardway2i@shutterfly.com', 'Female', 'ehardway2i', 'T9AARR');
insert into users (id, firstName, lastName, email, gender, username, password) values (92, 'Clifford', 'Wadeson', 'cwadeson2j@blogtalkradio.com', 'Male', 'cwadeson2j', '1Nn102');
insert into users (id, firstName, lastName, email, gender, username, password) values (93, 'Florie', 'Caskey', 'fcaskey2k@dion.ne.jp', 'Female', 'fcaskey2k', 'V15VeXSH');
insert into users (id, firstName, lastName, email, gender, username, password) values (94, 'Cassy', 'Anthoin', 'canthoin2l@state.tx.us', 'Female', 'canthoin2l', 'bmxTV0Dn');
insert into users (id, firstName, lastName, email, gender, username, password) values (95, 'Trudey', 'Philipeau', 'tphilipeau2m@youku.com', 'Female', 'tphilipeau2m', '0y7kL5dZiH');
insert into users (id, firstName, lastName, email, gender, username, password) values (96, 'Riva', 'Wanka', 'rwanka2n@hc360.com', 'Female', 'rwanka2n', 'fdArSnodMDU2');
insert into users (id, firstName, lastName, email, gender, username, password) values (97, 'Leif', 'Egglestone', 'legglestone2o@harvard.edu', 'Male', 'legglestone2o', 'i7QGv2WKHlQx');
insert into users (id, firstName, lastName, email, gender, username, password) values (98, 'Glyn', 'Ventham', 'gventham2p@so-net.ne.jp', 'Female', 'gventham2p', 'f6vYLxfV');
insert into users (id, firstName, lastName, email, gender, username, password) values (99, 'Noreen', 'Vogelein', 'nvogelein2q@twitpic.com', 'Female', 'nvogelein2q', 'M5yyRf');
insert into users (id, firstName, lastName, email, gender, username, password) values (100, 'Myrta', 'Loade', 'mloade2r@msn.com', 'Female', 'mloade2r', '3H6U0VzrC3j');

insert into roles (id, name) values (1, 'Role1');
insert into roles (id, name) values (2, 'Role2');
insert into roles (id, name) values (3, 'Role3');

insert into hasRole ( userId, roleId ) values ( 1, 2 );
insert into hasRole ( userId, roleId ) values ( 1, 3 );
insert into hasRole ( userId, roleId ) values ( 2, 3 );
insert into hasRole ( userId, roleId ) values ( 3, 2 );
insert into hasRole ( userId, roleId ) values ( 4, 1 );
insert into hasRole ( userId, roleId ) values ( 4, 2 );
insert into hasRole ( userId, roleId ) values ( 5, 3 );
insert into hasRole ( userId, roleId ) values ( 6, 1 );
insert into hasRole ( userId, roleId ) values ( 7, 2 );
insert into hasRole ( userId, roleId ) values ( 8, 1 );
insert into hasRole ( userId, roleId ) values ( 8, 2 );
insert into hasRole ( userId, roleId ) values ( 8, 3 );
insert into hasRole ( userId, roleId ) values ( 9, 2 );
insert into hasRole ( userId, roleId ) values ( 10, 1 );
insert into hasRole ( userId, roleId ) values ( 10, 2 );
insert into hasRole ( userId, roleId ) values ( 11, 1 );
insert into hasRole ( userId, roleId ) values ( 11, 3 );
insert into hasRole ( userId, roleId ) values ( 12, 1 );
insert into hasRole ( userId, roleId ) values ( 13, 1 );
insert into hasRole ( userId, roleId ) values ( 13, 2 );
insert into hasRole ( userId, roleId ) values ( 14, 2 );
insert into hasRole ( userId, roleId ) values ( 15, 2 );
insert into hasRole ( userId, roleId ) values ( 16, 2 );
insert into hasRole ( userId, roleId ) values ( 16, 3 );
insert into hasRole ( userId, roleId ) values ( 17, 1 );
insert into hasRole ( userId, roleId ) values ( 17, 3 );
insert into hasRole ( userId, roleId ) values ( 18, 3 );
insert into hasRole ( userId, roleId ) values ( 20, 1 );
insert into hasRole ( userId, roleId ) values ( 21, 1 );
insert into hasRole ( userId, roleId ) values ( 23, 2 );
insert into hasRole ( userId, roleId ) values ( 25, 1 );
insert into hasRole ( userId, roleId ) values ( 25, 2 );
insert into hasRole ( userId, roleId ) values ( 25, 3 );
insert into hasRole ( userId, roleId ) values ( 26, 1 );
insert into hasRole ( userId, roleId ) values ( 26, 2 );
insert into hasRole ( userId, roleId ) values ( 26, 3 );
insert into hasRole ( userId, roleId ) values ( 27, 1 );
insert into hasRole ( userId, roleId ) values ( 29, 3 );
insert into hasRole ( userId, roleId ) values ( 30, 1 );
insert into hasRole ( userId, roleId ) values ( 30, 2 );
insert into hasRole ( userId, roleId ) values ( 31, 1 );
insert into hasRole ( userId, roleId ) values ( 32, 3 );
insert into hasRole ( userId, roleId ) values ( 33, 1 );
insert into hasRole ( userId, roleId ) values ( 33, 3 );
insert into hasRole ( userId, roleId ) values ( 35, 1 );
insert into hasRole ( userId, roleId ) values ( 35, 2 );
insert into hasRole ( userId, roleId ) values ( 35, 3 );
insert into hasRole ( userId, roleId ) values ( 36, 2 );
insert into hasRole ( userId, roleId ) values ( 36, 3 );
insert into hasRole ( userId, roleId ) values ( 37, 1 );
insert into hasRole ( userId, roleId ) values ( 37, 3 );
insert into hasRole ( userId, roleId ) values ( 38, 1 );
insert into hasRole ( userId, roleId ) values ( 38, 3 );
insert into hasRole ( userId, roleId ) values ( 39, 2 );
insert into hasRole ( userId, roleId ) values ( 40, 1 );
insert into hasRole ( userId, roleId ) values ( 40, 3 );
insert into hasRole ( userId, roleId ) values ( 41, 3 );
insert into hasRole ( userId, roleId ) values ( 43, 1 );
insert into hasRole ( userId, roleId ) values ( 43, 2 );
insert into hasRole ( userId, roleId ) values ( 44, 3 );
insert into hasRole ( userId, roleId ) values ( 45, 1 );
insert into hasRole ( userId, roleId ) values ( 45, 3 );
insert into hasRole ( userId, roleId ) values ( 46, 2 );
insert into hasRole ( userId, roleId ) values ( 46, 3 );
insert into hasRole ( userId, roleId ) values ( 47, 1 );
insert into hasRole ( userId, roleId ) values ( 47, 2 );
insert into hasRole ( userId, roleId ) values ( 48, 1 );
insert into hasRole ( userId, roleId ) values ( 48, 3 );
insert into hasRole ( userId, roleId ) values ( 49, 1 );
insert into hasRole ( userId, roleId ) values ( 49, 2 );
insert into hasRole ( userId, roleId ) values ( 49, 3 );
insert into hasRole ( userId, roleId ) values ( 50, 2 );
insert into hasRole ( userId, roleId ) values ( 50, 3 );
insert into hasRole ( userId, roleId ) values ( 51, 2 );
insert into hasRole ( userId, roleId ) values ( 52, 1 );
insert into hasRole ( userId, roleId ) values ( 53, 2 );
insert into hasRole ( userId, roleId ) values ( 53, 3 );
insert into hasRole ( userId, roleId ) values ( 54, 1 );
insert into hasRole ( userId, roleId ) values ( 55, 1 );
insert into hasRole ( userId, roleId ) values ( 56, 3 );
insert into hasRole ( userId, roleId ) values ( 57, 1 );
insert into hasRole ( userId, roleId ) values ( 57, 2 );
insert into hasRole ( userId, roleId ) values ( 57, 3 );
insert into hasRole ( userId, roleId ) values ( 58, 1 );
insert into hasRole ( userId, roleId ) values ( 59, 1 );
insert into hasRole ( userId, roleId ) values ( 59, 2 );
insert into hasRole ( userId, roleId ) values ( 60, 1 );
insert into hasRole ( userId, roleId ) values ( 61, 1 );
insert into hasRole ( userId, roleId ) values ( 61, 2 );
insert into hasRole ( userId, roleId ) values ( 63, 1 );
insert into hasRole ( userId, roleId ) values ( 63, 2 );
insert into hasRole ( userId, roleId ) values ( 63, 3 );
insert into hasRole ( userId, roleId ) values ( 64, 1 );
insert into hasRole ( userId, roleId ) values ( 65, 2 );
insert into hasRole ( userId, roleId ) values ( 67, 2 );
insert into hasRole ( userId, roleId ) values ( 67, 3 );
insert into hasRole ( userId, roleId ) values ( 69, 1 );
insert into hasRole ( userId, roleId ) values ( 69, 2 );
insert into hasRole ( userId, roleId ) values ( 69, 3 );
insert into hasRole ( userId, roleId ) values ( 70, 1 );
insert into hasRole ( userId, roleId ) values ( 70, 2 );
insert into hasRole ( userId, roleId ) values ( 71, 3 );
insert into hasRole ( userId, roleId ) values ( 73, 2 );
insert into hasRole ( userId, roleId ) values ( 74, 3 );
insert into hasRole ( userId, roleId ) values ( 76, 3 );
insert into hasRole ( userId, roleId ) values ( 77, 1 );
insert into hasRole ( userId, roleId ) values ( 77, 2 );
insert into hasRole ( userId, roleId ) values ( 77, 3 );
insert into hasRole ( userId, roleId ) values ( 78, 3 );
insert into hasRole ( userId, roleId ) values ( 79, 3 );
insert into hasRole ( userId, roleId ) values ( 80, 2 );
insert into hasRole ( userId, roleId ) values ( 80, 3 );
insert into hasRole ( userId, roleId ) values ( 81, 1 );
insert into hasRole ( userId, roleId ) values ( 81, 2 );
insert into hasRole ( userId, roleId ) values ( 82, 1 );
insert into hasRole ( userId, roleId ) values ( 82, 2 );
insert into hasRole ( userId, roleId ) values ( 83, 1 );
insert into hasRole ( userId, roleId ) values ( 84, 2 );
insert into hasRole ( userId, roleId ) values ( 85, 1 );
insert into hasRole ( userId, roleId ) values ( 85, 2 );
insert into hasRole ( userId, roleId ) values ( 85, 3 );
insert into hasRole ( userId, roleId ) values ( 87, 2 );
insert into hasRole ( userId, roleId ) values ( 88, 1 );
insert into hasRole ( userId, roleId ) values ( 88, 2 );
insert into hasRole ( userId, roleId ) values ( 89, 3 );
insert into hasRole ( userId, roleId ) values ( 90, 3 );
insert into hasRole ( userId, roleId ) values ( 91, 1 );
insert into hasRole ( userId, roleId ) values ( 91, 3 );
insert into hasRole ( userId, roleId ) values ( 92, 2 );
insert into hasRole ( userId, roleId ) values ( 93, 1 );
insert into hasRole ( userId, roleId ) values ( 93, 3 );
insert into hasRole ( userId, roleId ) values ( 94, 1 );
insert into hasRole ( userId, roleId ) values ( 95, 1 );
insert into hasRole ( userId, roleId ) values ( 96, 3 );
insert into hasRole ( userId, roleId ) values ( 98, 1 );
insert into hasRole ( userId, roleId ) values ( 99, 2 );
insert into hasRole ( userId, roleId ) values ( 99, 3 );
insert into hasRole ( userId, roleId ) values ( 100, 1 );
insert into hasRole ( userId, roleId ) values ( 100, 2 );
insert into actions ( id, userId, name, timestamp ) values ( 1, 1, 'action3', '2020-05-01 23:01:10.881122');
insert into actions ( id, userId, name, timestamp ) values ( 2, 1, 'action1', '2020-04-08 23:32:35.808020');
insert into actions ( id, userId, name, timestamp ) values ( 3, 1, 'action0', '2020-06-02 00:36:00.282680');
insert into actions ( id, userId, name, timestamp ) values ( 4, 1, 'action2', '2020-05-13 18:31:32.832932');
insert into actions ( id, userId, name, timestamp ) values ( 5, 2, 'action5', '2020-06-06 13:07:55.879094');
insert into actions ( id, userId, name, timestamp ) values ( 6, 2, 'action2', '2020-04-11 12:23:16.061181');
insert into actions ( id, userId, name, timestamp ) values ( 7, 2, 'action5', '2020-05-13 18:43:46.210910');
insert into actions ( id, userId, name, timestamp ) values ( 8, 2, 'action1', '2020-05-31 15:14:11.346214');
insert into actions ( id, userId, name, timestamp ) values ( 9, 2, 'action5', '2020-03-15 18:20:19.414594');
insert into actions ( id, userId, name, timestamp ) values ( 10, 3, 'action5', '2020-03-28 10:06:20.205167');
insert into actions ( id, userId, name, timestamp ) values ( 11, 3, 'action1', '2020-04-22 05:49:41.112026');
insert into actions ( id, userId, name, timestamp ) values ( 12, 4, 'action0', '2020-03-29 04:49:05.444104');
insert into actions ( id, userId, name, timestamp ) values ( 13, 4, 'action4', '2020-05-08 03:42:52.084724');
insert into actions ( id, userId, name, timestamp ) values ( 14, 5, 'action5', '2020-05-14 01:34:27.434835');
insert into actions ( id, userId, name, timestamp ) values ( 15, 5, 'action2', '2020-03-12 22:39:34.218328');
insert into actions ( id, userId, name, timestamp ) values ( 16, 5, 'action5', '2020-04-06 18:55:54.796122');
insert into actions ( id, userId, name, timestamp ) values ( 17, 5, 'action1', '2020-04-27 02:04:49.786673');
insert into actions ( id, userId, name, timestamp ) values ( 18, 5, 'action5', '2020-03-16 17:55:18.585212');
insert into actions ( id, userId, name, timestamp ) values ( 19, 5, 'action4', '2020-04-17 15:42:28.536519');
insert into actions ( id, userId, name, timestamp ) values ( 20, 6, 'action0', '2020-03-27 20:48:39.447375');
insert into actions ( id, userId, name, timestamp ) values ( 21, 6, 'action2', '2020-05-20 14:45:00.702750');
insert into actions ( id, userId, name, timestamp ) values ( 22, 6, 'action2', '2020-04-17 09:33:58.691189');
insert into actions ( id, userId, name, timestamp ) values ( 23, 6, 'action5', '2020-04-12 18:15:37.203570');
insert into actions ( id, userId, name, timestamp ) values ( 24, 6, 'action3', '2020-06-05 23:42:55.027549');
insert into actions ( id, userId, name, timestamp ) values ( 25, 7, 'action4', '2020-05-05 15:36:19.800669');
insert into actions ( id, userId, name, timestamp ) values ( 26, 7, 'action5', '2020-05-28 20:54:15.602538');
insert into actions ( id, userId, name, timestamp ) values ( 27, 8, 'action2', '2020-05-05 11:30:29.445563');
insert into actions ( id, userId, name, timestamp ) values ( 28, 8, 'action0', '2020-04-13 08:41:28.313745');
insert into actions ( id, userId, name, timestamp ) values ( 29, 8, 'action0', '2020-04-18 03:08:56.323091');
insert into actions ( id, userId, name, timestamp ) values ( 30, 8, 'action3', '2020-04-06 04:36:27.806714');
insert into actions ( id, userId, name, timestamp ) values ( 31, 9, 'action0', '2020-04-11 09:24:42.046048');
insert into actions ( id, userId, name, timestamp ) values ( 32, 9, 'action0', '2020-05-20 02:57:57.679689');
insert into actions ( id, userId, name, timestamp ) values ( 33, 9, 'action0', '2020-03-31 21:20:08.335334');
insert into actions ( id, userId, name, timestamp ) values ( 34, 9, 'action3', '2020-03-12 18:08:52.316781');
insert into actions ( id, userId, name, timestamp ) values ( 35, 10, 'action2', '2020-04-18 06:38:05.108565');
insert into actions ( id, userId, name, timestamp ) values ( 36, 10, 'action1', '2020-03-16 04:55:01.560560');
insert into actions ( id, userId, name, timestamp ) values ( 37, 10, 'action4', '2020-03-28 23:59:57.827615');
insert into actions ( id, userId, name, timestamp ) values ( 38, 10, 'action1', '2020-03-19 16:15:13.092003');
insert into actions ( id, userId, name, timestamp ) values ( 39, 10, 'action1', '2020-03-31 09:45:15.283445');
insert into actions ( id, userId, name, timestamp ) values ( 40, 10, 'action0', '2020-03-23 19:11:16.369706');
insert into actions ( id, userId, name, timestamp ) values ( 41, 11, 'action1', '2020-03-26 16:07:38.287478');
insert into actions ( id, userId, name, timestamp ) values ( 42, 11, 'action3', '2020-05-28 10:25:38.632136');
insert into actions ( id, userId, name, timestamp ) values ( 43, 11, 'action2', '2020-03-30 10:36:28.591775');
insert into actions ( id, userId, name, timestamp ) values ( 44, 11, 'action5', '2020-05-23 17:36:13.528023');
insert into actions ( id, userId, name, timestamp ) values ( 45, 11, 'action3', '2020-05-13 04:05:41.075949');
insert into actions ( id, userId, name, timestamp ) values ( 46, 12, 'action4', '2020-06-01 22:09:57.594065');
insert into actions ( id, userId, name, timestamp ) values ( 47, 13, 'action0', '2020-05-28 13:41:08.349039');
insert into actions ( id, userId, name, timestamp ) values ( 48, 13, 'action4', '2020-05-22 10:11:09.385160');
insert into actions ( id, userId, name, timestamp ) values ( 49, 13, 'action2', '2020-04-27 00:03:08.880728');
insert into actions ( id, userId, name, timestamp ) values ( 50, 13, 'action2', '2020-04-16 13:47:55.688254');
insert into actions ( id, userId, name, timestamp ) values ( 51, 13, 'action4', '2020-05-31 14:36:42.795722');
insert into actions ( id, userId, name, timestamp ) values ( 52, 13, 'action1', '2020-06-02 13:52:14.269785');
insert into actions ( id, userId, name, timestamp ) values ( 53, 14, 'action4', '2020-05-28 18:40:18.942351');
insert into actions ( id, userId, name, timestamp ) values ( 54, 15, 'action3', '2020-05-26 13:40:15.697983');
insert into actions ( id, userId, name, timestamp ) values ( 55, 16, 'action2', '2020-05-11 20:50:23.232426');
insert into actions ( id, userId, name, timestamp ) values ( 56, 16, 'action1', '2020-05-15 04:13:00.446684');
insert into actions ( id, userId, name, timestamp ) values ( 57, 16, 'action4', '2020-06-02 01:30:22.370879');
insert into actions ( id, userId, name, timestamp ) values ( 58, 17, 'action0', '2020-03-04 23:58:26.461856');
insert into actions ( id, userId, name, timestamp ) values ( 59, 17, 'action5', '2020-03-20 22:03:36.516564');
insert into actions ( id, userId, name, timestamp ) values ( 60, 17, 'action3', '2020-03-25 06:51:50.138711');
insert into actions ( id, userId, name, timestamp ) values ( 61, 17, 'action3', '2020-04-01 20:50:54.059769');
insert into actions ( id, userId, name, timestamp ) values ( 62, 17, 'action1', '2020-05-04 10:56:04.378117');
insert into actions ( id, userId, name, timestamp ) values ( 63, 18, 'action5', '2020-03-14 06:48:41.151403');
insert into actions ( id, userId, name, timestamp ) values ( 64, 18, 'action5', '2020-05-14 02:08:29.208022');
insert into actions ( id, userId, name, timestamp ) values ( 65, 18, 'action1', '2020-04-06 11:55:25.774512');
insert into actions ( id, userId, name, timestamp ) values ( 66, 18, 'action3', '2020-05-21 20:04:05.743854');
insert into actions ( id, userId, name, timestamp ) values ( 67, 18, 'action1', '2020-06-06 13:51:25.026832');
insert into actions ( id, userId, name, timestamp ) values ( 68, 18, 'action0', '2020-03-28 18:38:07.217224');
insert into actions ( id, userId, name, timestamp ) values ( 69, 19, 'action2', '2020-05-24 11:19:58.923258');
insert into actions ( id, userId, name, timestamp ) values ( 70, 19, 'action3', '2020-04-21 16:54:27.335765');
insert into actions ( id, userId, name, timestamp ) values ( 71, 20, 'action5', '2020-04-08 02:51:54.782178');
insert into actions ( id, userId, name, timestamp ) values ( 72, 20, 'action2', '2020-03-17 01:56:26.712002');
insert into actions ( id, userId, name, timestamp ) values ( 73, 20, 'action1', '2020-03-07 17:38:15.867091');
insert into actions ( id, userId, name, timestamp ) values ( 74, 21, 'action5', '2020-04-07 22:33:34.221488');
insert into actions ( id, userId, name, timestamp ) values ( 75, 21, 'action3', '2020-03-23 13:21:52.588851');
insert into actions ( id, userId, name, timestamp ) values ( 76, 21, 'action5', '2020-03-21 10:39:41.461057');
insert into actions ( id, userId, name, timestamp ) values ( 77, 21, 'action1', '2020-03-29 07:15:31.472190');
insert into actions ( id, userId, name, timestamp ) values ( 78, 21, 'action4', '2020-04-30 21:31:30.309117');
insert into actions ( id, userId, name, timestamp ) values ( 79, 21, 'action3', '2020-03-23 01:39:04.079511');
insert into actions ( id, userId, name, timestamp ) values ( 80, 22, 'action4', '2020-05-10 07:37:53.408763');
insert into actions ( id, userId, name, timestamp ) values ( 81, 22, 'action5', '2020-03-04 23:06:01.418925');
insert into actions ( id, userId, name, timestamp ) values ( 82, 22, 'action0', '2020-05-11 18:27:26.749591');
insert into actions ( id, userId, name, timestamp ) values ( 83, 22, 'action3', '2020-06-09 01:17:30.542563');
insert into actions ( id, userId, name, timestamp ) values ( 84, 22, 'action3', '2020-04-11 00:06:23.961897');
insert into actions ( id, userId, name, timestamp ) values ( 85, 23, 'action4', '2020-05-18 20:06:04.380803');
insert into actions ( id, userId, name, timestamp ) values ( 86, 23, 'action5', '2020-03-08 07:18:50.451234');
insert into actions ( id, userId, name, timestamp ) values ( 87, 23, 'action0', '2020-05-13 19:55:44.995304');
insert into actions ( id, userId, name, timestamp ) values ( 88, 24, 'action2', '2020-04-23 12:25:45.521897');
insert into actions ( id, userId, name, timestamp ) values ( 89, 24, 'action2', '2020-04-18 02:21:00.144004');
insert into actions ( id, userId, name, timestamp ) values ( 90, 24, 'action5', '2020-06-10 09:07:06.308715');
insert into actions ( id, userId, name, timestamp ) values ( 91, 24, 'action0', '2020-05-26 12:41:05.521832');
insert into actions ( id, userId, name, timestamp ) values ( 92, 24, 'action4', '2020-06-05 03:14:11.537741');
insert into actions ( id, userId, name, timestamp ) values ( 93, 24, 'action5', '2020-04-06 18:52:19.577125');
insert into actions ( id, userId, name, timestamp ) values ( 94, 25, 'action0', '2020-04-20 02:05:09.940568');
insert into actions ( id, userId, name, timestamp ) values ( 95, 25, 'action0', '2020-05-03 21:40:27.765947');
insert into actions ( id, userId, name, timestamp ) values ( 96, 25, 'action4', '2020-03-18 01:22:58.200440');
insert into actions ( id, userId, name, timestamp ) values ( 97, 25, 'action2', '2020-04-25 23:21:45.485865');
insert into actions ( id, userId, name, timestamp ) values ( 98, 25, 'action5', '2020-03-27 00:56:27.890527');
insert into actions ( id, userId, name, timestamp ) values ( 99, 25, 'action1', '2020-04-16 03:38:56.739606');
insert into actions ( id, userId, name, timestamp ) values ( 100, 26, 'action5', '2020-05-20 10:08:00.131610');
insert into actions ( id, userId, name, timestamp ) values ( 101, 26, 'action1', '2020-03-27 19:54:22.392927');
insert into actions ( id, userId, name, timestamp ) values ( 102, 27, 'action1', '2020-03-12 09:46:22.701157');
insert into actions ( id, userId, name, timestamp ) values ( 103, 27, 'action0', '2020-06-07 00:27:44.808234');
insert into actions ( id, userId, name, timestamp ) values ( 104, 27, 'action1', '2020-03-13 08:35:43.429829');
insert into actions ( id, userId, name, timestamp ) values ( 105, 27, 'action4', '2020-05-07 17:53:19.207812');
insert into actions ( id, userId, name, timestamp ) values ( 106, 27, 'action0', '2020-04-08 22:35:17.515680');
insert into actions ( id, userId, name, timestamp ) values ( 107, 27, 'action5', '2020-04-12 04:33:23.163893');
insert into actions ( id, userId, name, timestamp ) values ( 108, 28, 'action2', '2020-05-04 17:15:16.374144');
insert into actions ( id, userId, name, timestamp ) values ( 109, 28, 'action4', '2020-05-09 06:02:37.176065');
insert into actions ( id, userId, name, timestamp ) values ( 110, 28, 'action1', '2020-05-04 15:38:29.258953');
insert into actions ( id, userId, name, timestamp ) values ( 111, 28, 'action4', '2020-03-17 18:00:43.149091');
insert into actions ( id, userId, name, timestamp ) values ( 112, 28, 'action3', '2020-04-19 12:40:01.576355');
insert into actions ( id, userId, name, timestamp ) values ( 113, 28, 'action2', '2020-05-04 17:51:20.495229');
insert into actions ( id, userId, name, timestamp ) values ( 114, 29, 'action2', '2020-04-30 03:27:40.930895');
insert into actions ( id, userId, name, timestamp ) values ( 115, 29, 'action0', '2020-05-19 05:30:15.049186');
insert into actions ( id, userId, name, timestamp ) values ( 116, 29, 'action1', '2020-05-20 18:58:26.300139');
insert into actions ( id, userId, name, timestamp ) values ( 117, 29, 'action2', '2020-03-15 07:34:56.981330');
insert into actions ( id, userId, name, timestamp ) values ( 118, 29, 'action3', '2020-03-21 03:56:13.620668');
insert into actions ( id, userId, name, timestamp ) values ( 119, 30, 'action2', '2020-04-14 19:30:00.714374');
insert into actions ( id, userId, name, timestamp ) values ( 120, 30, 'action0', '2020-05-18 13:49:01.728077');
insert into actions ( id, userId, name, timestamp ) values ( 121, 30, 'action1', '2020-04-15 23:00:24.690223');
insert into actions ( id, userId, name, timestamp ) values ( 122, 30, 'action4', '2020-03-10 15:40:06.207213');
insert into actions ( id, userId, name, timestamp ) values ( 123, 30, 'action1', '2020-06-10 07:11:39.828912');
insert into actions ( id, userId, name, timestamp ) values ( 124, 30, 'action4', '2020-06-06 21:29:29.738595');
insert into actions ( id, userId, name, timestamp ) values ( 125, 31, 'action1', '2020-05-25 21:43:44.820895');
insert into actions ( id, userId, name, timestamp ) values ( 126, 31, 'action4', '2020-05-11 05:28:11.677564');
insert into actions ( id, userId, name, timestamp ) values ( 127, 31, 'action1', '2020-04-22 15:56:12.469849');
insert into actions ( id, userId, name, timestamp ) values ( 128, 31, 'action5', '2020-04-25 11:39:59.783737');
insert into actions ( id, userId, name, timestamp ) values ( 129, 32, 'action1', '2020-04-26 09:59:21.189941');
insert into actions ( id, userId, name, timestamp ) values ( 130, 32, 'action5', '2020-03-11 08:38:37.463047');
insert into actions ( id, userId, name, timestamp ) values ( 131, 32, 'action3', '2020-04-17 18:33:29.587965');
insert into actions ( id, userId, name, timestamp ) values ( 132, 33, 'action2', '2020-05-23 06:47:20.255641');
insert into actions ( id, userId, name, timestamp ) values ( 133, 33, 'action3', '2020-03-25 00:03:04.873650');
insert into actions ( id, userId, name, timestamp ) values ( 134, 33, 'action0', '2020-03-19 15:22:44.533787');
insert into actions ( id, userId, name, timestamp ) values ( 135, 33, 'action5', '2020-03-03 13:41:39.222771');
insert into actions ( id, userId, name, timestamp ) values ( 136, 33, 'action3', '2020-04-23 08:12:28.354520');
insert into actions ( id, userId, name, timestamp ) values ( 137, 34, 'action4', '2020-03-13 09:42:31.886332');
insert into actions ( id, userId, name, timestamp ) values ( 138, 34, 'action1', '2020-05-09 14:17:24.987022');
insert into actions ( id, userId, name, timestamp ) values ( 139, 34, 'action2', '2020-05-09 03:35:30.361633');
insert into actions ( id, userId, name, timestamp ) values ( 140, 34, 'action2', '2020-05-07 23:07:04.897784');
insert into actions ( id, userId, name, timestamp ) values ( 141, 34, 'action2', '2020-04-12 07:10:53.430451');
insert into actions ( id, userId, name, timestamp ) values ( 142, 35, 'action2', '2020-03-23 09:38:23.321723');
insert into actions ( id, userId, name, timestamp ) values ( 143, 35, 'action5', '2020-03-14 08:16:54.599790');
insert into actions ( id, userId, name, timestamp ) values ( 144, 35, 'action0', '2020-06-01 08:11:58.928157');
insert into actions ( id, userId, name, timestamp ) values ( 145, 36, 'action3', '2020-05-16 17:08:55.354533');
insert into actions ( id, userId, name, timestamp ) values ( 146, 36, 'action0', '2020-04-09 23:02:14.798905');
insert into actions ( id, userId, name, timestamp ) values ( 147, 37, 'action0', '2020-03-02 14:48:29.500975');
insert into actions ( id, userId, name, timestamp ) values ( 148, 37, 'action0', '2020-05-16 22:03:45.315808');
insert into actions ( id, userId, name, timestamp ) values ( 149, 37, 'action4', '2020-03-17 16:44:25.333401');
insert into actions ( id, userId, name, timestamp ) values ( 150, 37, 'action2', '2020-03-30 16:51:47.135686');
insert into actions ( id, userId, name, timestamp ) values ( 151, 37, 'action1', '2020-03-08 01:41:49.266280');
insert into actions ( id, userId, name, timestamp ) values ( 152, 38, 'action0', '2020-05-23 11:55:43.532033');
insert into actions ( id, userId, name, timestamp ) values ( 153, 38, 'action1', '2020-04-23 08:09:40.170416');
insert into actions ( id, userId, name, timestamp ) values ( 154, 39, 'action1', '2020-05-17 20:49:42.175211');
insert into actions ( id, userId, name, timestamp ) values ( 155, 39, 'action2', '2020-03-26 09:33:50.820286');
insert into actions ( id, userId, name, timestamp ) values ( 156, 39, 'action4', '2020-05-20 21:36:41.535275');
insert into actions ( id, userId, name, timestamp ) values ( 157, 39, 'action3', '2020-05-10 23:21:30.778082');
insert into actions ( id, userId, name, timestamp ) values ( 158, 39, 'action4', '2020-04-18 17:09:59.871077');
insert into actions ( id, userId, name, timestamp ) values ( 159, 39, 'action1', '2020-05-12 10:46:14.899978');
insert into actions ( id, userId, name, timestamp ) values ( 160, 40, 'action5', '2020-04-28 07:26:36.583149');
insert into actions ( id, userId, name, timestamp ) values ( 161, 40, 'action1', '2020-04-27 10:45:18.960697');
insert into actions ( id, userId, name, timestamp ) values ( 162, 40, 'action5', '2020-04-13 05:35:55.962721');
insert into actions ( id, userId, name, timestamp ) values ( 163, 41, 'action5', '2020-03-23 05:21:34.686415');
insert into actions ( id, userId, name, timestamp ) values ( 164, 41, 'action0', '2020-05-01 02:31:42.004188');
insert into actions ( id, userId, name, timestamp ) values ( 165, 42, 'action0', '2020-04-07 06:21:34.860613');
insert into actions ( id, userId, name, timestamp ) values ( 166, 42, 'action0', '2020-05-20 13:35:09.421576');
insert into actions ( id, userId, name, timestamp ) values ( 167, 42, 'action4', '2020-04-27 14:35:24.514069');
insert into actions ( id, userId, name, timestamp ) values ( 168, 42, 'action5', '2020-05-04 12:10:19.367393');
insert into actions ( id, userId, name, timestamp ) values ( 169, 42, 'action5', '2020-04-23 19:47:05.690939');
insert into actions ( id, userId, name, timestamp ) values ( 170, 43, 'action2', '2020-03-24 15:34:08.918634');
insert into actions ( id, userId, name, timestamp ) values ( 171, 43, 'action5', '2020-03-21 04:20:39.899413');
insert into actions ( id, userId, name, timestamp ) values ( 172, 43, 'action4', '2020-06-05 11:04:32.451014');
insert into actions ( id, userId, name, timestamp ) values ( 173, 44, 'action2', '2020-03-20 08:33:06.423538');
insert into actions ( id, userId, name, timestamp ) values ( 174, 44, 'action5', '2020-06-07 14:55:07.377270');
insert into actions ( id, userId, name, timestamp ) values ( 175, 44, 'action3', '2020-05-08 06:50:26.132641');
insert into actions ( id, userId, name, timestamp ) values ( 176, 45, 'action3', '2020-03-19 08:33:01.752974');
insert into actions ( id, userId, name, timestamp ) values ( 177, 45, 'action0', '2020-03-23 15:51:54.256940');
insert into actions ( id, userId, name, timestamp ) values ( 178, 46, 'action4', '2020-03-11 13:48:49.931114');
insert into actions ( id, userId, name, timestamp ) values ( 179, 46, 'action0', '2020-03-14 23:52:57.473137');
insert into actions ( id, userId, name, timestamp ) values ( 180, 46, 'action4', '2020-04-22 22:11:17.503351');
insert into actions ( id, userId, name, timestamp ) values ( 181, 46, 'action2', '2020-03-29 07:17:46.438381');
insert into actions ( id, userId, name, timestamp ) values ( 182, 47, 'action5', '2020-05-10 09:34:40.975329');
insert into actions ( id, userId, name, timestamp ) values ( 183, 47, 'action3', '2020-04-05 08:09:50.894979');
insert into actions ( id, userId, name, timestamp ) values ( 184, 48, 'action5', '2020-03-12 15:46:39.359327');
insert into actions ( id, userId, name, timestamp ) values ( 185, 48, 'action3', '2020-04-07 11:29:41.801473');
insert into actions ( id, userId, name, timestamp ) values ( 186, 48, 'action2', '2020-04-19 19:23:33.141748');
insert into actions ( id, userId, name, timestamp ) values ( 187, 48, 'action2', '2020-03-16 00:37:04.731941');
insert into actions ( id, userId, name, timestamp ) values ( 188, 48, 'action3', '2020-05-15 16:03:30.918251');
insert into actions ( id, userId, name, timestamp ) values ( 189, 49, 'action4', '2020-04-09 21:26:50.260413');
insert into actions ( id, userId, name, timestamp ) values ( 190, 49, 'action3', '2020-04-11 20:48:15.081044');
insert into actions ( id, userId, name, timestamp ) values ( 191, 49, 'action3', '2020-04-20 07:09:48.593593');
insert into actions ( id, userId, name, timestamp ) values ( 192, 49, 'action0', '2020-05-22 19:40:10.340667');
insert into actions ( id, userId, name, timestamp ) values ( 193, 49, 'action2', '2020-05-05 04:05:45.976017');
insert into actions ( id, userId, name, timestamp ) values ( 194, 50, 'action1', '2020-04-14 07:51:40.613910');
insert into actions ( id, userId, name, timestamp ) values ( 195, 50, 'action1', '2020-05-19 00:00:10.146437');
insert into actions ( id, userId, name, timestamp ) values ( 196, 50, 'action0', '2020-04-27 21:51:53.374339');
insert into actions ( id, userId, name, timestamp ) values ( 197, 50, 'action5', '2020-04-17 09:38:04.348602');
insert into actions ( id, userId, name, timestamp ) values ( 198, 51, 'action5', '2020-05-16 03:45:53.037222');
insert into actions ( id, userId, name, timestamp ) values ( 199, 51, 'action0', '2020-03-27 16:20:09.578506');
insert into actions ( id, userId, name, timestamp ) values ( 200, 51, 'action4', '2020-03-08 18:24:33.401622');
insert into actions ( id, userId, name, timestamp ) values ( 201, 51, 'action4', '2020-04-16 15:02:21.262988');
insert into actions ( id, userId, name, timestamp ) values ( 202, 51, 'action2', '2020-04-10 15:12:50.222074');
insert into actions ( id, userId, name, timestamp ) values ( 203, 51, 'action3', '2020-05-28 16:38:11.852258');
insert into actions ( id, userId, name, timestamp ) values ( 204, 52, 'action4', '2020-03-26 11:56:57.317800');
insert into actions ( id, userId, name, timestamp ) values ( 205, 53, 'action4', '2020-05-11 07:46:05.341844');
insert into actions ( id, userId, name, timestamp ) values ( 206, 53, 'action4', '2020-04-08 21:12:45.345856');
insert into actions ( id, userId, name, timestamp ) values ( 207, 53, 'action3', '2020-04-30 00:30:14.934265');
insert into actions ( id, userId, name, timestamp ) values ( 208, 53, 'action2', '2020-04-12 09:57:47.664092');
insert into actions ( id, userId, name, timestamp ) values ( 209, 53, 'action1', '2020-04-28 12:44:27.347600');
insert into actions ( id, userId, name, timestamp ) values ( 210, 53, 'action3', '2020-04-15 19:53:12.996811');
insert into actions ( id, userId, name, timestamp ) values ( 211, 54, 'action0', '2020-04-11 19:08:16.745620');
insert into actions ( id, userId, name, timestamp ) values ( 212, 54, 'action0', '2020-04-27 11:09:57.947848');
insert into actions ( id, userId, name, timestamp ) values ( 213, 54, 'action4', '2020-04-10 04:17:33.179132');
insert into actions ( id, userId, name, timestamp ) values ( 214, 54, 'action5', '2020-05-07 20:28:09.696390');
insert into actions ( id, userId, name, timestamp ) values ( 215, 54, 'action1', '2020-04-24 08:56:34.288425');
insert into actions ( id, userId, name, timestamp ) values ( 216, 55, 'action1', '2020-06-06 01:09:45.056053');
insert into actions ( id, userId, name, timestamp ) values ( 217, 55, 'action1', '2020-04-25 05:20:14.226508');
insert into actions ( id, userId, name, timestamp ) values ( 218, 56, 'action5', '2020-05-31 15:14:12.219913');
insert into actions ( id, userId, name, timestamp ) values ( 219, 57, 'action2', '2020-05-08 10:08:54.331281');
insert into actions ( id, userId, name, timestamp ) values ( 220, 57, 'action0', '2020-06-03 03:13:31.988502');
insert into actions ( id, userId, name, timestamp ) values ( 221, 57, 'action0', '2020-06-08 22:52:57.619018');
insert into actions ( id, userId, name, timestamp ) values ( 222, 57, 'action2', '2020-03-28 06:06:06.804774');
insert into actions ( id, userId, name, timestamp ) values ( 223, 57, 'action2', '2020-05-30 04:05:08.386587');
insert into actions ( id, userId, name, timestamp ) values ( 224, 58, 'action3', '2020-04-29 01:12:18.474863');
insert into actions ( id, userId, name, timestamp ) values ( 225, 59, 'action2', '2020-05-07 13:19:15.373477');
insert into actions ( id, userId, name, timestamp ) values ( 226, 59, 'action3', '2020-03-22 09:02:03.060197');
insert into actions ( id, userId, name, timestamp ) values ( 227, 59, 'action0', '2020-04-18 07:05:56.524729');
insert into actions ( id, userId, name, timestamp ) values ( 228, 59, 'action1', '2020-04-03 20:15:54.019639');
insert into actions ( id, userId, name, timestamp ) values ( 229, 60, 'action4', '2020-05-13 02:16:04.718511');
insert into actions ( id, userId, name, timestamp ) values ( 230, 60, 'action5', '2020-05-02 22:09:23.485807');
insert into actions ( id, userId, name, timestamp ) values ( 231, 60, 'action4', '2020-06-06 20:33:45.932734');
insert into actions ( id, userId, name, timestamp ) values ( 232, 60, 'action2', '2020-03-28 10:23:16.106003');
insert into actions ( id, userId, name, timestamp ) values ( 233, 60, 'action5', '2020-03-12 13:46:10.060567');
insert into actions ( id, userId, name, timestamp ) values ( 234, 61, 'action3', '2020-05-12 16:00:15.959715');
insert into actions ( id, userId, name, timestamp ) values ( 235, 62, 'action0', '2020-04-11 05:56:29.732017');
insert into actions ( id, userId, name, timestamp ) values ( 236, 62, 'action1', '2020-05-18 13:37:32.743256');
insert into actions ( id, userId, name, timestamp ) values ( 237, 63, 'action5', '2020-04-15 23:57:40.110278');
insert into actions ( id, userId, name, timestamp ) values ( 238, 63, 'action2', '2020-05-04 19:31:06.290396');
insert into actions ( id, userId, name, timestamp ) values ( 239, 63, 'action2', '2020-06-06 13:35:25.146805');
insert into actions ( id, userId, name, timestamp ) values ( 240, 64, 'action5', '2020-04-24 11:44:33.687278');
insert into actions ( id, userId, name, timestamp ) values ( 241, 64, 'action1', '2020-05-21 21:27:26.506747');
insert into actions ( id, userId, name, timestamp ) values ( 242, 64, 'action3', '2020-03-31 13:23:06.784927');
insert into actions ( id, userId, name, timestamp ) values ( 243, 64, 'action3', '2020-04-23 08:58:17.481850');
insert into actions ( id, userId, name, timestamp ) values ( 244, 64, 'action0', '2020-04-01 06:40:40.308234');
insert into actions ( id, userId, name, timestamp ) values ( 245, 65, 'action3', '2020-03-06 18:25:50.112507');
insert into actions ( id, userId, name, timestamp ) values ( 246, 65, 'action2', '2020-04-04 15:39:09.769856');
insert into actions ( id, userId, name, timestamp ) values ( 247, 65, 'action5', '2020-05-02 19:17:33.590320');
insert into actions ( id, userId, name, timestamp ) values ( 248, 65, 'action2', '2020-05-01 04:27:25.606076');
insert into actions ( id, userId, name, timestamp ) values ( 249, 65, 'action5', '2020-03-02 22:40:26.745890');
insert into actions ( id, userId, name, timestamp ) values ( 250, 65, 'action1', '2020-03-15 07:24:21.249418');
insert into actions ( id, userId, name, timestamp ) values ( 251, 66, 'action5', '2020-04-04 00:06:43.275187');
insert into actions ( id, userId, name, timestamp ) values ( 252, 67, 'action2', '2020-03-23 00:32:24.722596');
insert into actions ( id, userId, name, timestamp ) values ( 253, 68, 'action1', '2020-04-29 21:12:41.887146');
insert into actions ( id, userId, name, timestamp ) values ( 254, 68, 'action0', '2020-05-15 02:56:21.050989');
insert into actions ( id, userId, name, timestamp ) values ( 255, 68, 'action1', '2020-06-04 08:18:25.849545');
insert into actions ( id, userId, name, timestamp ) values ( 256, 68, 'action5', '2020-03-30 04:20:34.150659');
insert into actions ( id, userId, name, timestamp ) values ( 257, 68, 'action0', '2020-04-17 23:33:28.490331');
insert into actions ( id, userId, name, timestamp ) values ( 258, 68, 'action2', '2020-04-14 02:02:37.915909');
insert into actions ( id, userId, name, timestamp ) values ( 259, 69, 'action3', '2020-05-28 23:19:07.375971');
insert into actions ( id, userId, name, timestamp ) values ( 260, 69, 'action0', '2020-06-02 03:14:27.626219');
insert into actions ( id, userId, name, timestamp ) values ( 261, 69, 'action0', '2020-03-05 09:05:27.115596');
insert into actions ( id, userId, name, timestamp ) values ( 262, 69, 'action3', '2020-04-30 05:53:38.167085');
insert into actions ( id, userId, name, timestamp ) values ( 263, 69, 'action4', '2020-05-11 17:31:40.431285');
insert into actions ( id, userId, name, timestamp ) values ( 264, 70, 'action4', '2020-03-31 11:28:47.407769');
insert into actions ( id, userId, name, timestamp ) values ( 265, 71, 'action1', '2020-05-16 05:23:17.301243');
insert into actions ( id, userId, name, timestamp ) values ( 266, 71, 'action1', '2020-05-31 06:07:23.898159');
insert into actions ( id, userId, name, timestamp ) values ( 267, 71, 'action3', '2020-04-19 07:02:12.106575');
insert into actions ( id, userId, name, timestamp ) values ( 268, 71, 'action3', '2020-06-03 00:09:15.760287');
insert into actions ( id, userId, name, timestamp ) values ( 269, 72, 'action2', '2020-05-23 22:39:14.648332');
insert into actions ( id, userId, name, timestamp ) values ( 270, 72, 'action2', '2020-06-01 15:13:24.751409');
insert into actions ( id, userId, name, timestamp ) values ( 271, 72, 'action4', '2020-06-04 15:03:37.729468');
insert into actions ( id, userId, name, timestamp ) values ( 272, 72, 'action2', '2020-06-06 18:42:24.112953');
insert into actions ( id, userId, name, timestamp ) values ( 273, 72, 'action2', '2020-03-10 21:47:43.467266');
insert into actions ( id, userId, name, timestamp ) values ( 274, 73, 'action0', '2020-04-27 14:01:07.837114');
insert into actions ( id, userId, name, timestamp ) values ( 275, 73, 'action1', '2020-05-20 08:18:04.660427');
insert into actions ( id, userId, name, timestamp ) values ( 276, 73, 'action5', '2020-06-03 11:03:17.636737');
insert into actions ( id, userId, name, timestamp ) values ( 277, 74, 'action0', '2020-03-28 18:46:17.406453');
insert into actions ( id, userId, name, timestamp ) values ( 278, 74, 'action3', '2020-05-05 08:46:50.680366');
insert into actions ( id, userId, name, timestamp ) values ( 279, 74, 'action4', '2020-04-10 12:22:02.313777');
insert into actions ( id, userId, name, timestamp ) values ( 280, 74, 'action3', '2020-03-17 03:05:58.244429');
insert into actions ( id, userId, name, timestamp ) values ( 281, 75, 'action3', '2020-05-03 20:34:47.228307');
insert into actions ( id, userId, name, timestamp ) values ( 282, 75, 'action0', '2020-05-26 09:49:13.840592');
insert into actions ( id, userId, name, timestamp ) values ( 283, 76, 'action3', '2020-05-10 07:17:13.325811');
insert into actions ( id, userId, name, timestamp ) values ( 284, 76, 'action2', '2020-04-28 07:20:53.772796');
insert into actions ( id, userId, name, timestamp ) values ( 285, 76, 'action3', '2020-03-22 15:23:40.171293');
insert into actions ( id, userId, name, timestamp ) values ( 286, 76, 'action3', '2020-05-07 10:19:34.075691');
insert into actions ( id, userId, name, timestamp ) values ( 287, 76, 'action2', '2020-05-10 10:59:33.193963');
insert into actions ( id, userId, name, timestamp ) values ( 288, 76, 'action3', '2020-03-08 12:51:14.655938');
insert into actions ( id, userId, name, timestamp ) values ( 289, 77, 'action4', '2020-05-18 05:04:46.771427');
insert into actions ( id, userId, name, timestamp ) values ( 290, 77, 'action3', '2020-03-12 07:14:32.563100');
insert into actions ( id, userId, name, timestamp ) values ( 291, 77, 'action0', '2020-03-19 16:34:09.285435');
insert into actions ( id, userId, name, timestamp ) values ( 292, 77, 'action0', '2020-04-29 14:15:05.302133');
insert into actions ( id, userId, name, timestamp ) values ( 293, 77, 'action2', '2020-04-18 16:16:06.552094');
insert into actions ( id, userId, name, timestamp ) values ( 294, 78, 'action4', '2020-05-29 10:08:19.832844');
insert into actions ( id, userId, name, timestamp ) values ( 295, 79, 'action2', '2020-05-27 16:12:21.094612');
insert into actions ( id, userId, name, timestamp ) values ( 296, 79, 'action1', '2020-05-19 20:08:38.107686');
insert into actions ( id, userId, name, timestamp ) values ( 297, 79, 'action4', '2020-05-22 15:36:47.988832');
insert into actions ( id, userId, name, timestamp ) values ( 298, 79, 'action4', '2020-06-02 16:11:49.880431');
insert into actions ( id, userId, name, timestamp ) values ( 299, 80, 'action2', '2020-03-28 18:33:13.898092');
insert into actions ( id, userId, name, timestamp ) values ( 300, 80, 'action1', '2020-04-03 07:06:02.945213');
insert into actions ( id, userId, name, timestamp ) values ( 301, 80, 'action3', '2020-05-28 09:37:52.804945');
insert into actions ( id, userId, name, timestamp ) values ( 302, 80, 'action0', '2020-03-15 10:03:22.220035');
insert into actions ( id, userId, name, timestamp ) values ( 303, 80, 'action4', '2020-05-24 19:52:24.897103');
insert into actions ( id, userId, name, timestamp ) values ( 304, 81, 'action1', '2020-05-13 09:32:55.889671');
insert into actions ( id, userId, name, timestamp ) values ( 305, 81, 'action4', '2020-03-20 03:30:53.214847');
insert into actions ( id, userId, name, timestamp ) values ( 306, 81, 'action0', '2020-03-08 06:27:35.452700');
insert into actions ( id, userId, name, timestamp ) values ( 307, 81, 'action3', '2020-03-17 14:41:59.236219');
insert into actions ( id, userId, name, timestamp ) values ( 308, 81, 'action1', '2020-04-18 07:33:15.957999');
insert into actions ( id, userId, name, timestamp ) values ( 309, 81, 'action2', '2020-06-07 06:59:36.823789');
insert into actions ( id, userId, name, timestamp ) values ( 310, 82, 'action3', '2020-04-16 02:48:44.774550');
insert into actions ( id, userId, name, timestamp ) values ( 311, 83, 'action0', '2020-03-06 22:06:01.623107');
insert into actions ( id, userId, name, timestamp ) values ( 312, 83, 'action4', '2020-03-18 13:10:36.185972');
insert into actions ( id, userId, name, timestamp ) values ( 313, 83, 'action3', '2020-03-16 07:53:53.434370');
insert into actions ( id, userId, name, timestamp ) values ( 314, 83, 'action1', '2020-03-30 14:36:24.834951');
insert into actions ( id, userId, name, timestamp ) values ( 315, 84, 'action2', '2020-05-07 00:18:56.035802');
insert into actions ( id, userId, name, timestamp ) values ( 316, 84, 'action1', '2020-03-06 09:35:30.953535');
insert into actions ( id, userId, name, timestamp ) values ( 317, 84, 'action5', '2020-05-23 01:46:40.966485');
insert into actions ( id, userId, name, timestamp ) values ( 318, 85, 'action2', '2020-03-06 14:10:25.534959');
insert into actions ( id, userId, name, timestamp ) values ( 319, 85, 'action0', '2020-05-22 04:14:58.957171');
insert into actions ( id, userId, name, timestamp ) values ( 320, 86, 'action0', '2020-04-16 10:30:59.225405');
insert into actions ( id, userId, name, timestamp ) values ( 321, 86, 'action3', '2020-04-19 14:10:26.071176');
insert into actions ( id, userId, name, timestamp ) values ( 322, 86, 'action3', '2020-04-09 01:53:31.497141');
insert into actions ( id, userId, name, timestamp ) values ( 323, 86, 'action4', '2020-04-08 14:28:39.336484');
insert into actions ( id, userId, name, timestamp ) values ( 324, 86, 'action5', '2020-04-26 08:27:46.229941');
insert into actions ( id, userId, name, timestamp ) values ( 325, 86, 'action2', '2020-04-03 08:13:30.900838');
insert into actions ( id, userId, name, timestamp ) values ( 326, 87, 'action5', '2020-06-07 11:42:34.049922');
insert into actions ( id, userId, name, timestamp ) values ( 327, 87, 'action4', '2020-06-03 10:04:50.321590');
insert into actions ( id, userId, name, timestamp ) values ( 328, 88, 'action3', '2020-03-21 23:43:20.712396');
insert into actions ( id, userId, name, timestamp ) values ( 329, 88, 'action3', '2020-03-24 05:15:37.845516');
insert into actions ( id, userId, name, timestamp ) values ( 330, 88, 'action3', '2020-04-15 23:45:12.828801');
insert into actions ( id, userId, name, timestamp ) values ( 331, 88, 'action4', '2020-04-11 11:36:52.402468');
insert into actions ( id, userId, name, timestamp ) values ( 332, 89, 'action3', '2020-05-08 03:51:48.032481');
insert into actions ( id, userId, name, timestamp ) values ( 333, 89, 'action2', '2020-04-15 17:15:03.904130');
insert into actions ( id, userId, name, timestamp ) values ( 334, 89, 'action4', '2020-03-26 08:37:36.382490');
insert into actions ( id, userId, name, timestamp ) values ( 335, 89, 'action4', '2020-05-02 01:09:03.860287');
insert into actions ( id, userId, name, timestamp ) values ( 336, 89, 'action0', '2020-04-04 13:19:50.050701');
insert into actions ( id, userId, name, timestamp ) values ( 337, 89, 'action0', '2020-03-29 09:14:00.183593');
insert into actions ( id, userId, name, timestamp ) values ( 338, 90, 'action1', '2020-03-19 16:50:18.166335');
insert into actions ( id, userId, name, timestamp ) values ( 339, 90, 'action0', '2020-05-21 03:58:47.244733');
insert into actions ( id, userId, name, timestamp ) values ( 340, 91, 'action0', '2020-03-14 22:23:43.398941');
insert into actions ( id, userId, name, timestamp ) values ( 341, 91, 'action5', '2020-03-17 20:54:06.140964');
insert into actions ( id, userId, name, timestamp ) values ( 342, 91, 'action5', '2020-03-04 13:36:33.879287');
insert into actions ( id, userId, name, timestamp ) values ( 343, 91, 'action3', '2020-05-07 05:19:34.338921');
insert into actions ( id, userId, name, timestamp ) values ( 344, 91, 'action1', '2020-03-02 20:13:59.682287');
insert into actions ( id, userId, name, timestamp ) values ( 345, 91, 'action1', '2020-04-07 22:05:39.636221');
insert into actions ( id, userId, name, timestamp ) values ( 346, 92, 'action3', '2020-03-24 07:19:09.586365');
insert into actions ( id, userId, name, timestamp ) values ( 347, 92, 'action4', '2020-05-19 02:25:55.680300');
insert into actions ( id, userId, name, timestamp ) values ( 348, 92, 'action2', '2020-06-04 13:50:48.892303');
insert into actions ( id, userId, name, timestamp ) values ( 349, 92, 'action4', '2020-05-21 19:57:21.039549');
insert into actions ( id, userId, name, timestamp ) values ( 350, 92, 'action2', '2020-03-10 01:40:50.820255');
insert into actions ( id, userId, name, timestamp ) values ( 351, 92, 'action4', '2020-03-03 16:00:40.326101');
insert into actions ( id, userId, name, timestamp ) values ( 352, 93, 'action3', '2020-04-27 23:14:11.970883');
insert into actions ( id, userId, name, timestamp ) values ( 353, 93, 'action5', '2020-05-12 18:51:53.592709');
insert into actions ( id, userId, name, timestamp ) values ( 354, 93, 'action5', '2020-06-06 17:56:33.867624');
insert into actions ( id, userId, name, timestamp ) values ( 355, 93, 'action5', '2020-06-09 04:46:59.189696');
insert into actions ( id, userId, name, timestamp ) values ( 356, 93, 'action2', '2020-05-06 19:31:55.833259');
insert into actions ( id, userId, name, timestamp ) values ( 357, 93, 'action3', '2020-03-25 03:04:31.961386');
insert into actions ( id, userId, name, timestamp ) values ( 358, 94, 'action0', '2020-04-02 02:10:16.212858');
insert into actions ( id, userId, name, timestamp ) values ( 359, 94, 'action5', '2020-05-06 11:31:33.571349');
insert into actions ( id, userId, name, timestamp ) values ( 360, 94, 'action0', '2020-04-06 14:51:00.077422');
insert into actions ( id, userId, name, timestamp ) values ( 361, 95, 'action2', '2020-04-26 00:47:43.102276');
insert into actions ( id, userId, name, timestamp ) values ( 362, 96, 'action5', '2020-05-17 14:48:50.458092');
insert into actions ( id, userId, name, timestamp ) values ( 363, 96, 'action5', '2020-03-06 04:13:10.996157');
insert into actions ( id, userId, name, timestamp ) values ( 364, 97, 'action5', '2020-03-03 07:13:35.813420');
insert into actions ( id, userId, name, timestamp ) values ( 365, 97, 'action0', '2020-05-05 19:21:03.901556');
insert into actions ( id, userId, name, timestamp ) values ( 366, 98, 'action3', '2020-03-15 00:22:23.519135');
insert into actions ( id, userId, name, timestamp ) values ( 367, 98, 'action1', '2020-05-27 12:04:42.801473');
insert into actions ( id, userId, name, timestamp ) values ( 368, 98, 'action0', '2020-04-14 20:04:22.855621');
insert into actions ( id, userId, name, timestamp ) values ( 369, 98, 'action5', '2020-04-17 13:32:39.144866');
insert into actions ( id, userId, name, timestamp ) values ( 370, 98, 'action2', '2020-04-08 01:35:27.559397');
insert into actions ( id, userId, name, timestamp ) values ( 371, 99, 'action4', '2020-04-22 17:03:20.354021');
insert into actions ( id, userId, name, timestamp ) values ( 372, 99, 'action0', '2020-05-02 23:02:08.940535');
insert into actions ( id, userId, name, timestamp ) values ( 373, 99, 'action3', '2020-03-20 13:31:11.592154');
insert into actions ( id, userId, name, timestamp ) values ( 374, 99, 'action2', '2020-04-17 06:56:05.866957');
insert into actions ( id, userId, name, timestamp ) values ( 375, 99, 'action4', '2020-03-23 04:00:18.721292');
insert into actions ( id, userId, name, timestamp ) values ( 376, 100, 'action5', '2020-04-01 20:58:38.757299');
insert into actions ( id, userId, name, timestamp ) values ( 377, 100, 'action0', '2020-05-23 01:14:31.184317');
